Subject: Re: [PATCH v2 03/10] commit-graph: fix type for some write options

From: Junio C Hamano <[email-masked]>
Date: Wed, 06 Aug 2025 08:40:32 -0700

Oswald Buddenhagen <[email-masked]> writes:

> On Wed, Aug 06, 2025 at 02:00:08PM +0200, Patrick Steinhardt wrote:
>>+		OPT_UNSIGNED(0, "max-commits", &write_opts.max_commits,
>>
>>+	size_t max_commits;
>> 
> dunno, this really seems to be crying for OPT_SIZE_T being split off.

Or just use "unsigned int".

Really, what does NUMBER OF commits we will handle have anything to
do with how many bytes of core we ask to grab from the system?

This "we count things in size_t" is a superstition we should stop.